For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTSubmit batch calling job
      • GETList workspace batch calling jobs
      • GETGet batch call information
      • POSTCancel batch calling job
      • POSTRetry batch calling job
      • DELDelete batch calling job
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsBatch Calling

List workspace batch calling jobs

GET
/v1/convai/batch-calling/workspace
GET
/v1/convai/batch-calling/workspace
$curl https://api.elevenlabs.io/v1/convai/batch-calling/workspace
1{
2 "batch_calls": [
3 {
4 "id": "string",
5 "phone_number_id": "string",
6 "phone_provider": "twilio",
7 "whatsapp_params": {
8 "whatsapp_call_permission_request_template_name": "string",
9 "whatsapp_call_permission_request_template_language_code": "string",
10 "whatsapp_phone_number_id": "string"
11 },
12 "name": "string",
13 "agent_id": "string",
14 "branch_id": "string",
15 "environment": "string",
16 "created_at_unix": 1,
17 "scheduled_time_unix": 1,
18 "timezone": "string",
19 "total_calls_dispatched": 0,
20 "total_calls_scheduled": 0,
21 "total_calls_finished": 0,
22 "last_updated_at_unix": 1,
23 "status": "pending",
24 "retry_count": 0,
25 "telephony_call_config": {
26 "ringing_timeout_secs": 60
27 },
28 "target_concurrency_limit": 1,
29 "agent_name": "string",
30 "branch_name": "string"
31 }
32 ],
33 "next_doc": "string",
34 "has_more": false
35}
Get all batch calls for the current workspace.
Was this page helpful?
Previous

Get batch call information

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

limitintegerOptionalDefaults to 100
last_docstring or nullOptional
agent_idstring or nullOptional
Filter batch calls to a single agent.

Response

Successful Response
batch_callslist of objects
next_docstring or null
The next document, used to paginate through the batch calls
has_morebooleanDefaults to false
Whether there are more batch calls to paginate through

Errors

422
Unprocessable Entity Error